<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@include file="templates/validar.jsp"%>
<!DOCTYPE html>
<html>
  <head>
    <!--Estilos plantilla-->
    <%@include file="templates/header.jsp" %>
    <!--Estilos plantilla-->

    <!--Estilos propios-->
    <!--<link href="../js/lib/jquery-confirm-master/jquery-confirm.min.css" rel="stylesheet" type="text/css"/>-->
    <!--Estilos propios-->
    <link href="../css/pages/colors.css" rel="stylesheet" type="text/css"/>
    <link href="../css/pages/general.css" rel="stylesheet" type="text/css"/>
  </head>
  <body onload="cargar();">
    <input id="codTitulo" name="codTitulo" type="hidden" value="<%= menu != null ? menu.getCodigoTitulo() : 0%>">
    <input id="codModulo" type="hidden" value="<%= menu != null ? menu.getCodigoModulo() : 0%>">
    <input id="codCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoCategoria() : 0%>">
    <input id="codSubCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoSubcategoria() : 0%>">

    <!--navbar - sidebar-->
    <%@include file="templates/header-body.jsp" %>
    <!--navbar - sidebar-->

    <!--breadcrumb-->
    <%@include file="templates/page-header.jsp" %>
    <!--breadcrumb-->

    <!--
        ************************* PANEL DE BUSQUEDA DE FICHAS ************************* 
    -->

    <form action="../FichaServlet" method="post" id="formImprimirFicha" target="_blank">
      <input type="hidden" name="accion" value="imprimirFicha" />
      <input type="hidden" name="params" id="params"/>
    </form>

    <form action="../FichaServlet" method="post" id="formImprimirActividadFicha" target="_blank">
      <input type="hidden" name="accion" value="imprimirActividadFicha" />
      <input type="hidden" name="paramsActividadFicha" id="paramsActividadFicha"/>
    </form>

		<form action="../ContratoServlet" method="post" id="formPDF" target="_blank">
      <input type="hidden" name="accion" value="contratoPdf" />
      <input type="hidden" name="json" id="data" value="" />
    </form>

    <div class="row">
      <div class="col-md-6 col-md-offset-3">
        <div class="panel so-card-2">
          <div class="panel-heading bg-primary">
            <h6 class="panel-title text-semibold">
              <i class="fa fa-search fa-lg"></i>&nbsp;&nbsp;Búsqueda de contratos
            </h6>
            <div class="heading-elements">
            </div>
          </div>
          <div class="panel-body">
            <form onsubmit="return false" id="formBuscarContrato" name="formBuscarContrato">
              <div class="row">
                <div class="col-md-4">
									<div class="form-group">
										<label for="txtNumeroDocumentoIdentidad" class="text-semibold">N° Documento de Identidad <span class="text-danger">(*)</span></label>
										<input type="text" class="form-control text-uppercase" placeholder="Ingresar nro documento" id="txtNumeroDocumentoIdentidad" name="txtNumeroDocumentoIdentidad" minlength="8" maxlength="8" autocomplete="off" aria-required="true">            
									</div>
								</div>

								<div class="col-md-4">
									<div class="form-group">
										<label for="txtApellidos" class="text-semibold">Apellidos <span class="text-danger">(*)</span></label>
										<input type="text" class="form-control text-uppercase" placeholder="Apellidos" id="txtApellidos" name="txtApellidos" minlength="8" maxlength="8" autocomplete="off" aria-required="true">
									</div>
								</div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="cboEstadoContratoPlanilla" class="text-semibold">Estado de contrato <span class="text-danger">(*)</span></label>
                    <select class="select" id="cboEstadoContratoPlanilla" name="cboEstadoContratoPlanilla">
                      <option value="">TODAS</option>
                      <option value="1">PENDIENTE</option>
                      <option value="2">EN CURSO</option>
                      <option value="3">VENCIDO</option>
                    </select>
                  </div>
                </div>
              </div>
							<div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="cboTipoContratoPlanilla" class="text-semibold">Tipo de contrato <span class="text-danger">(*)</span></label>
                    <select class="select" id="cboTipoContratoPlanilla" name="cboTipoContratoPlanilla">
                      <option value="">TODAS</option>
                      <option value="1">POR NECESIDAD DE MERCADO</option>
                      <option value="2">TIEMPO PARCIAL</option>
                      <option value="3">MENSUAL POR HORA</option>
                      <option value="4">RECIBO POR HONORARIOS</option>
											<option value="5">TIEMPO PARCIAL POR HORA</option>
                    </select>
                  </div>
                </div>

								<div class="col-md-4">
                  <div class="form-group">
                    <label for="cboRazonSocial" class="text-semibold">Razón Social <span class="text-danger">(*)</span></label>
                    <select class="select" id="cboRazonSocial" name="cboRazonSocial">
                      <option value="">TODAS</option>
                      <option value="1">ACE SACO OLIVEROS</option>
                      <option value="2">ACE SISTEMA HELICOIDAL</option>
                      <option value="5">ACE APEIRON</option>
                    </select>
                  </div>
                </div>
								<div class="col-md-4">
                  <div class="form-group">
                    <label for="cboTipoTrabajador" class="text-semibold">Tipo de Trabajador <span class="text-danger">(*)</span></label>
                    <select class="select" data-width="100%" id="cboTipoTrabajador" name="cboTipoTrabajador">
                      <option value="">TODAS</option>
                      <option value="A">ADMINISTRATIVO</option>
                      <option value="D">DOCENTE SECUNDARIA</option>
                    </select>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="col-md-12 text-danger text-right text-semibold">
                  (*) Campos obligatorios
                </div>
              </div>

              <div class="row">
                <div class="col-md-12 text-center">
                  <button type="submit" class="btn bg-primary text-center" id="btnBuscarContrato"><i class="fa fa-search fa-lg position-left"></i> Buscar </button>
                  <button type="button" class="btn bg-orange btn-ladda btn-ladda-progress" data-style="expand-right" data-spinner-size="20" id="btnLimpiarFiltroFichas">
                    <span class="ladda-label"><i class="fa fa-refresh fa-lg"></i> Limpiar</span>
                    <span class="ladda-spinner"></span>
                    <div class="ladda-progress" style="width: 158px;"></div>
                  </button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!--
        ************************* PANEL DE BUSQUEDA DE FICHAS ************************* 
    -->

		<div class="row">
			<div class="col-lg-12">
				<div class="panel so-card-2">
					<div class="panel-heading bg-primary">
						<h6 class="panel-title">Contratos a generar: <b id="lblTipoContrato"></b></h6>
						<div class="heading-elements">
              <button type="button" id="btnActualizarContrato" class="btn btn-success btn-xlg text-uppercase text-semibold tp-header-right-table-button">
                <i class="fa fa-check-square-o fa-lg position-left"></i> Aceptar
              </button>
            </div>
					</div>
					<div id="">
						<table class="table table-bordered table-xxs table-striped" id="tblContratoSeleccionado">
							<thead>
								<tr>									
								</tr>
							</thead>
							<tbody>

							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>



		<div class="row">
			<div class="col-lg-12">
				<div class="panel so-card-2">
					<div class="panel-heading bg-primary">
						<h6 class="panel-title">Contratos</h6>
						<div class="heading-elements">
              <button type="button" id="btnGenerarContrato" class="btn btn-success btn-xlg text-uppercase text-semibold tp-header-right-table-button">
                <i class="fa fa-check-square-o fa-lg position-left"></i> Generar contrato
              </button>
            </div>
					</div>
					<div id="divListaContratos">
						<table class="table table-bordered table-xxs table-striped" id="tblContrato">
							<thead>
								<tr>
									<th><input type="checkbox" id="ckbRegistroTodo" class="styled"></th>
									<th>Personal</th>
									<th>Documento de Identidad</th>
									<th>Area</th>
									<th>Cargo</th>
									<th>Fecha Inicio</th>
									<th>Tipo Contrato</th>
									<th>Razon Social</th>
									<th>Estado</th>
									<th>Accion</th>
								</tr>
							</thead>
							<tbody>

							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>


    <div class="row">
      <div class="col-md-4 col-md-offset-4">
        <!-- List of latest updates -->
        <div class="panel so-card-2">
          <div class="panel-heading bg-primary">
            <h6 class="panel-title text-semibold">
              <i class="fa fa-bookmark fa-lg"></i>&nbsp;&nbsp;Leyenda
            </h6>
            <div class="heading-elements">
              <ul class="icons-list">
                <li><a data-action="collapse"></a></li>
              </ul>
            </div>
          </div>

          <div class="panel-body">
            <ul class="media-list" id="leyenda">

            </ul>
          </div>
        </div>
      </div>
    </div>


		<!--modales-->

		<!--modal generar contrato-->
		<div id="modalGenerarPrevista" class="modal fade">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header bg-primary">
						<h6 class="modal-title"><i class="fa fa-file fa-lg"></i>&nbsp;&nbsp;Nueva ficha</h6>
					</div>
					<div class="modal-body">
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<label for="cbAsignarTipoContrato" class="text-semibold">Tipo Contrato <span class="text-danger">(*)</span></label>
									<select class="select" id="cbAsignarTipoContrato" name="cbAsignarTipoContrato">
										<option value="">[SELECCIONE]</option>
										<option value="1">POR NECESIDAD DE MERCADO</option>
										<option value="2">TIEMPO PARCIAL</option>
										<option value="3">MENSUAL POR HORA</option>
										<option value="4">RECIBO POR HONORARIOS</option>
										<option value="5">TIEMPO PARCIAL POR HORA</option>
									</select>
								</div>
							</div>
						</div>
						<div id="divCamposTipoContrato"></div>
						<div class="row">
							<div class="col-md-12 text-danger text-right text-semibold">
								(*) Campos obligatorios
							</div>
						</div>
					</div>
					<div class="modal-footer">
						<button type="submit" class="btn bg-primary" id="btnVerPrevista"><i class="fa fa-check fa-lg position-left"></i>Ver prevista</button>
						<button type="button" class="btn bg-danger" data-dismiss="modal"><i class="fa fa-close fa-lg position-left"></i>Cerrar</button>
					</div>
				</div>
			</div>
		</div>
		<!--modal generar contrato-->


		<!--modales-->

    <!--javascript plantilla-->
    <%@include file="templates/footer-body.jsp" %>
    <!--javascript plantilla-->

    <!--select2-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/selects/select2.min.js"></script>

    <!--validInput-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/validateInput/validate_inputs.js"></script>

    <!--datepicker-->
    <script type="text/javascript" src="../plantilla/assets/js/core/libraries/jquery_ui/widgets.min.js"></script>

    <!--validate-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/validation/validate.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/validation/additional_methods.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/validation/localization/messages_es_PE.js"></script>
    <script type="text/javascript" src="../js/pages/newRulesValidate.js"></script>

    <!--datatable-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/datatables.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/selects/select2.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/extensions/responsive.min.js"></script>

    <!--button spinner-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/buttons/spin.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/buttons/ladda.min.js"></script>

    <script type="text/javascript" src="../js/lib/jquery-confirm-master/jquery-confirm.min.js"></script>

    <!--javascript propios-->
    <script src="../js/pages/general.js" type="text/javascript"></script>
    <script src="../js/pages/menu.js" type="text/javascript"></script>
    <script src="../js/pages/contratos.js" type="text/javascript"></script>

    <!--javascript propios-->

  </body>
</html>
<%}%>